# WWW::SwaggerClient::Object::ArticleCompletePrivate

## Load the model package
```perl
use WWW::SwaggerClient::Object::ArticleCompletePrivate;
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**figshare_url** | **string** | Article public url | [optional] 
**download_disabled** | **boolean** | If true, downloading of files for this article is disabled | [optional] 
**files** | [**ARRAY[PublicFile]**](PublicFile.md) | List of article files | [optional] 
**authors** | [**ARRAY[Author]**](Author.md) | List of article authors | [optional] 
**custom_fields** | [**ARRAY[CustomArticleField]**](CustomArticleField.md) | List of custom fields values | [optional] 
**embargo_options** | [**ARRAY[GroupEmbargoOptions]**](GroupEmbargoOptions.md) | List of embargo options | [optional] 
**citation** | **string** | Article citation | [optional] 
**confidential_reason** | **string** | Confidentiality reason | [optional] 
**is_confidential** | **boolean** | Article Confidentiality | [optional] 
**size** | **int** | Article size | [optional] 
**funding** | **string** | Article funding | [optional] 
**funding_list** | [**ARRAY[FundingInformation]**](FundingInformation.md) | Full Article funding information | [optional] 
**tags** | **ARRAY[string]** | List of article tags | [optional] 
**version** | **int** | Article version | [optional] 
**is_active** | **boolean** | True if article is active | [optional] 
**is_metadata_record** | **boolean** | True if article has no files | [optional] 
**metadata_reason** | **string** | Article metadata reason | [optional] 
**status** | **string** | Article status | [optional] 
**description** | **string** | Article description | [optional] 
**is_embargoed** | **boolean** | True if article is embargoed | [optional] 
**is_public** | **boolean** | True if article is published | [optional] 
**created_date** | **string** | Date when article was created | [optional] 
**has_linked_file** | **boolean** | True if any files are linked to the article | [optional] 
**categories** | [**ARRAY[Category]**](Category.md) | List of categories selected for the article | [optional] 
**license** | [**License**](License.md) | Article selected license | [optional] 
**embargo_title** | **string** | Title for embargo | [optional] 
**embargo_reason** | **string** | Reason for embargo | [optional] 
**references** | **ARRAY[string]** | List of references | [optional] 
**related_materials** | [**ARRAY[RelatedMaterial]**](RelatedMaterial.md) | List of related materials; supersedes references and resource DOI/title. | [optional] 
**id** | **int** | Unique identifier for article | 
**title** | **string** | Title of article | 
**doi** | **string** | DOI | 
**handle** | **string** | Handle | 
**url** | **string** | Api endpoint for article | 
**url_public_html** | **string** | Public site endpoint for article | 
**url_public_api** | **string** | Public Api endpoint for article | 
**url_private_html** | **string** | Private site endpoint for article | 
**url_private_api** | **string** | Private Api endpoint for article | 
**timeline** | [**Timeline**](Timeline.md) | Various timeline dates | 
**thumb** | **string** | Thumbnail image | 
**defined_type** | **int** | Type of article identifier | 
**defined_type_name** | **string** | Name of the article type identifier | 
**account_id** | **int** | ID of the account owning the article | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


