=begin comment

Figshare API

Figshare apiv2. Using Swagger 2.0

OpenAPI spec version: 2.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git

=end comment

=cut

#
# NOTE: This class is auto generated by the swagger code generator program. 
# Do not edit the class manually.
# Ref: https://github.com/swagger-api/swagger-codegen
#
package WWW::SwaggerClient::Object::ProjectCompletePrivate;

require 5.6.0;
use strict;
use warnings;
use utf8;
use JSON qw(decode_json);
use Data::Dumper;
use Module::Runtime qw(use_module);
use Log::Any qw($log);
use Date::Parse;
use DateTime;

use WWW::SwaggerClient::Object::Collaborator;
use WWW::SwaggerClient::Object::CustomArticleField;
use WWW::SwaggerClient::Object::FundingInformation;
use WWW::SwaggerClient::Object::ProjectPrivate;

use base ("Class::Accessor", "Class::Data::Inheritable");


#
#
#
# NOTE: This class is auto generated by the swagger code generator program. Do not edit the class manually.
# REF: https://github.com/swagger-api/swagger-codegen
#

=begin comment

Figshare API

Figshare apiv2. Using Swagger 2.0

OpenAPI spec version: 2.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git

=end comment

=cut

#
# NOTE: This class is auto generated by the swagger code generator program. 
# Do not edit the class manually.
# Ref: https://github.com/swagger-api/swagger-codegen
#
__PACKAGE__->mk_classdata('attribute_map' => {});
__PACKAGE__->mk_classdata('swagger_types' => {});
__PACKAGE__->mk_classdata('method_documentation' => {}); 
__PACKAGE__->mk_classdata('class_documentation' => {});

# new object
sub new { 
    my ($class, %args) = @_; 

	my $self = bless {}, $class;
	
	foreach my $attribute (keys %{$class->attribute_map}) {
		my $args_key = $class->attribute_map->{$attribute};
		$self->$attribute( $args{ $args_key } );
	}
	
	return $self;
}  

# return perl hash
sub to_hash {
    return decode_json(JSON->new->convert_blessed->encode( shift ));
}

# used by JSON for serialization
sub TO_JSON { 
    my $self = shift;
    my $_data = {};
    foreach my $_key (keys %{$self->attribute_map}) {
        if (defined $self->{$_key}) {
            $_data->{$self->attribute_map->{$_key}} = $self->{$_key};
        }
    }
    return $_data;
}

# from Perl hashref
sub from_hash {
    my ($self, $hash) = @_;

    # loop through attributes and use swagger_types to deserialize the data
    while ( my ($_key, $_type) = each %{$self->swagger_types} ) {
    	my $_json_attribute = $self->attribute_map->{$_key}; 
        if ($_type =~ /^array\[/i) { # array
            my $_subclass = substr($_type, 6, -1);
            my @_array = ();
            foreach my $_element (@{$hash->{$_json_attribute}}) {
                push @_array, $self->_deserialize($_subclass, $_element);
            }
            $self->{$_key} = \@_array;
        } elsif (exists $hash->{$_json_attribute}) { #hash(model), primitive, datetime
            $self->{$_key} = $self->_deserialize($_type, $hash->{$_json_attribute});
        } else {
        	$log->debugf("Warning: %s (%s) does not exist in input hash\n", $_key, $_json_attribute);
        }
    }
  
    return $self;
}

# deserialize non-array data
sub _deserialize {
    my ($self, $type, $data) = @_;
    $log->debugf("deserializing %s with %s",Dumper($data), $type);
        
    if ($type eq 'DateTime') {
        return DateTime->from_epoch(epoch => str2time($data));
    } elsif ( grep( /^$type$/, ('int', 'double', 'string', 'boolean'))) {
        return $data;
    } else { # hash(model)
        my $_instance = eval "WWW::SwaggerClient::Object::$type->new()";
        return $_instance->from_hash($data);
    }
}



__PACKAGE__->class_documentation({description => '',
                                  class => 'ProjectCompletePrivate',
                                  required => [], # TODO
}                                 );

__PACKAGE__->method_documentation({
    'role' => {
    	datatype => 'string',
    	base_name => 'role',
    	description => 'Role inside this project',
    	format => '',
    	read_only => '',
    		},
    'storage' => {
    	datatype => 'string',
    	base_name => 'storage',
    	description => 'Project storage type',
    	format => '',
    	read_only => '',
    		},
    'url' => {
    	datatype => 'string',
    	base_name => 'url',
    	description => 'Api endpoint',
    	format => '',
    	read_only => '',
    		},
    'id' => {
    	datatype => 'int',
    	base_name => 'id',
    	description => 'Project id',
    	format => '',
    	read_only => '',
    		},
    'title' => {
    	datatype => 'string',
    	base_name => 'title',
    	description => 'Project title',
    	format => '',
    	read_only => '',
    		},
    'funding' => {
    	datatype => 'string',
    	base_name => 'funding',
    	description => 'Project funding',
    	format => '',
    	read_only => '',
    		},
    'funding_list' => {
    	datatype => 'ARRAY[FundingInformation]',
    	base_name => 'funding_list',
    	description => 'Full Project funding information',
    	format => '',
    	read_only => '',
    		},
    'description' => {
    	datatype => 'string',
    	base_name => 'description',
    	description => 'Project description',
    	format => '',
    	read_only => '',
    		},
    'collaborators' => {
    	datatype => 'ARRAY[Collaborator]',
    	base_name => 'collaborators',
    	description => 'List of project collaborators',
    	format => '',
    	read_only => '',
    		},
    'quota' => {
    	datatype => 'int',
    	base_name => 'quota',
    	description => 'Project quota',
    	format => '',
    	read_only => '',
    		},
    'used_quota' => {
    	datatype => 'int',
    	base_name => 'used_quota',
    	description => 'Project used quota',
    	format => '',
    	read_only => '',
    		},
    'created_date' => {
    	datatype => 'string',
    	base_name => 'created_date',
    	description => 'Date when project was created',
    	format => '',
    	read_only => '',
    		},
    'modified_date' => {
    	datatype => 'string',
    	base_name => 'modified_date',
    	description => 'Date when project was last modified',
    	format => '',
    	read_only => '',
    		},
    'used_quota_private' => {
    	datatype => 'int',
    	base_name => 'used_quota_private',
    	description => 'Project private quota used',
    	format => '',
    	read_only => '',
    		},
    'used_quota_public' => {
    	datatype => 'int',
    	base_name => 'used_quota_public',
    	description => 'Project public quota used',
    	format => '',
    	read_only => '',
    		},
    'group_id' => {
    	datatype => 'int',
    	base_name => 'group_id',
    	description => 'Group of project if any',
    	format => '',
    	read_only => '',
    		},
    'account_id' => {
    	datatype => 'int',
    	base_name => 'account_id',
    	description => 'ID of the account owning the project',
    	format => '',
    	read_only => '',
    		},
    'custom_fields' => {
    	datatype => 'ARRAY[CustomArticleField]',
    	base_name => 'custom_fields',
    	description => 'Collection custom fields',
    	format => '',
    	read_only => '',
    		},
});

__PACKAGE__->swagger_types( {
    'role' => 'string',
    'storage' => 'string',
    'url' => 'string',
    'id' => 'int',
    'title' => 'string',
    'funding' => 'string',
    'funding_list' => 'ARRAY[FundingInformation]',
    'description' => 'string',
    'collaborators' => 'ARRAY[Collaborator]',
    'quota' => 'int',
    'used_quota' => 'int',
    'created_date' => 'string',
    'modified_date' => 'string',
    'used_quota_private' => 'int',
    'used_quota_public' => 'int',
    'group_id' => 'int',
    'account_id' => 'int',
    'custom_fields' => 'ARRAY[CustomArticleField]'
} );

__PACKAGE__->attribute_map( {
    'role' => 'role',
    'storage' => 'storage',
    'url' => 'url',
    'id' => 'id',
    'title' => 'title',
    'funding' => 'funding',
    'funding_list' => 'funding_list',
    'description' => 'description',
    'collaborators' => 'collaborators',
    'quota' => 'quota',
    'used_quota' => 'used_quota',
    'created_date' => 'created_date',
    'modified_date' => 'modified_date',
    'used_quota_private' => 'used_quota_private',
    'used_quota_public' => 'used_quota_public',
    'group_id' => 'group_id',
    'account_id' => 'account_id',
    'custom_fields' => 'custom_fields'
} );

__PACKAGE__->mk_accessors(keys %{__PACKAGE__->attribute_map});


1;
