=begin comment

Figshare API

Figshare apiv2. Using Swagger 2.0

OpenAPI spec version: 2.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git

=end comment

=cut

#
# NOTE: This class is auto generated by the swagger code generator program. 
# Do not edit the class manually.
# Ref: https://github.com/swagger-api/swagger-codegen
#
package WWW::SwaggerClient::Object::ProjectCreate;

require 5.6.0;
use strict;
use warnings;
use utf8;
use JSON qw(decode_json);
use Data::Dumper;
use Module::Runtime qw(use_module);
use Log::Any qw($log);
use Date::Parse;
use DateTime;

use WWW::SwaggerClient::Object::CustomArticleFieldAdd;
use WWW::SwaggerClient::Object::FundingCreate;

use base ("Class::Accessor", "Class::Data::Inheritable");


#
#
#
# NOTE: This class is auto generated by the swagger code generator program. Do not edit the class manually.
# REF: https://github.com/swagger-api/swagger-codegen
#

=begin comment

Figshare API

Figshare apiv2. Using Swagger 2.0

OpenAPI spec version: 2.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git

=end comment

=cut

#
# NOTE: This class is auto generated by the swagger code generator program. 
# Do not edit the class manually.
# Ref: https://github.com/swagger-api/swagger-codegen
#
__PACKAGE__->mk_classdata('attribute_map' => {});
__PACKAGE__->mk_classdata('swagger_types' => {});
__PACKAGE__->mk_classdata('method_documentation' => {}); 
__PACKAGE__->mk_classdata('class_documentation' => {});

# new object
sub new { 
    my ($class, %args) = @_; 

	my $self = bless {}, $class;
	
	foreach my $attribute (keys %{$class->attribute_map}) {
		my $args_key = $class->attribute_map->{$attribute};
		$self->$attribute( $args{ $args_key } );
	}
	
	return $self;
}  

# return perl hash
sub to_hash {
    return decode_json(JSON->new->convert_blessed->encode( shift ));
}

# used by JSON for serialization
sub TO_JSON { 
    my $self = shift;
    my $_data = {};
    foreach my $_key (keys %{$self->attribute_map}) {
        if (defined $self->{$_key}) {
            $_data->{$self->attribute_map->{$_key}} = $self->{$_key};
        }
    }
    return $_data;
}

# from Perl hashref
sub from_hash {
    my ($self, $hash) = @_;

    # loop through attributes and use swagger_types to deserialize the data
    while ( my ($_key, $_type) = each %{$self->swagger_types} ) {
    	my $_json_attribute = $self->attribute_map->{$_key}; 
        if ($_type =~ /^array\[/i) { # array
            my $_subclass = substr($_type, 6, -1);
            my @_array = ();
            foreach my $_element (@{$hash->{$_json_attribute}}) {
                push @_array, $self->_deserialize($_subclass, $_element);
            }
            $self->{$_key} = \@_array;
        } elsif (exists $hash->{$_json_attribute}) { #hash(model), primitive, datetime
            $self->{$_key} = $self->_deserialize($_type, $hash->{$_json_attribute});
        } else {
        	$log->debugf("Warning: %s (%s) does not exist in input hash\n", $_key, $_json_attribute);
        }
    }
  
    return $self;
}

# deserialize non-array data
sub _deserialize {
    my ($self, $type, $data) = @_;
    $log->debugf("deserializing %s with %s",Dumper($data), $type);
        
    if ($type eq 'DateTime') {
        return DateTime->from_epoch(epoch => str2time($data));
    } elsif ( grep( /^$type$/, ('int', 'double', 'string', 'boolean'))) {
        return $data;
    } else { # hash(model)
        my $_instance = eval "WWW::SwaggerClient::Object::$type->new()";
        return $_instance->from_hash($data);
    }
}



__PACKAGE__->class_documentation({description => '',
                                  class => 'ProjectCreate',
                                  required => [], # TODO
}                                 );

__PACKAGE__->method_documentation({
    'title' => {
    	datatype => 'string',
    	base_name => 'title',
    	description => 'The title for this project - mandatory. 3 - 1000 characters.',
    	format => '',
    	read_only => '',
    		},
    'description' => {
    	datatype => 'string',
    	base_name => 'description',
    	description => 'Project description',
    	format => '',
    	read_only => '',
    		},
    'funding' => {
    	datatype => 'string',
    	base_name => 'funding',
    	description => 'Grant number or organization(s) that funded this project. Up to 2000 characters permitted.',
    	format => '',
    	read_only => '',
    		},
    'funding_list' => {
    	datatype => 'ARRAY[FundingCreate]',
    	base_name => 'funding_list',
    	description => 'Funding creation / update items',
    	format => '',
    	read_only => '',
    		},
    'group_id' => {
    	datatype => 'int',
    	base_name => 'group_id',
    	description => 'Only if project type is group.',
    	format => '',
    	read_only => '',
    		},
    'custom_fields' => {
    	datatype => 'object',
    	base_name => 'custom_fields',
    	description => 'List of key, values pairs to be associated with the project',
    	format => '',
    	read_only => '',
    		},
    'custom_fields_list' => {
    	datatype => 'ARRAY[CustomArticleFieldAdd]',
    	base_name => 'custom_fields_list',
    	description => 'List of custom fields values, supersedes custom_fields parameter',
    	format => '',
    	read_only => '',
    		},
});

__PACKAGE__->swagger_types( {
    'title' => 'string',
    'description' => 'string',
    'funding' => 'string',
    'funding_list' => 'ARRAY[FundingCreate]',
    'group_id' => 'int',
    'custom_fields' => 'object',
    'custom_fields_list' => 'ARRAY[CustomArticleFieldAdd]'
} );

__PACKAGE__->attribute_map( {
    'title' => 'title',
    'description' => 'description',
    'funding' => 'funding',
    'funding_list' => 'funding_list',
    'group_id' => 'group_id',
    'custom_fields' => 'custom_fields',
    'custom_fields_list' => 'custom_fields_list'
} );

__PACKAGE__->mk_accessors(keys %{__PACKAGE__->attribute_map});


1;
